Nodes & EdgesList nodes

List nodes

List all nodes on a canvas, each with its embedded URL patterns and events. The canvas must belong to the resolved location. Agency keys (ak_) must pass ?location_id=.

curl -X GET "https://mythic-analytics.gulp.workers.dev/builder/canvases/123e4567-e89b-12d3-a456-426614174000/nodes?location_id=acme-retail" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "canvas_id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "page",
      "label": "Checkout Page",
      "position_x": 320,
      "position_y": 100,
      "config": {},
      "cross_domain": false,
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z",
      "canvas_node_urls": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "node_id": "123e4567-e89b-12d3-a456-426614174000",
          "url_pattern": "/checkout",
          "match_type": "contains",
          "is_primary": false
        }
      ],
      "canvas_node_events": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "node_id": "123e4567-e89b-12d3-a456-426614174000",
          "platform_config_id": "123e4567-e89b-12d3-a456-426614174000",
          "platform": "meta_pixel",
          "event_type": "Purchase",
          "trigger": "page_load",
          "trigger_config": {},
          "event_params": {},
          "journey_condition": {},
          "enabled": true,
          "template_id": "123e4567-e89b-12d3-a456-426614174000",
          "created_at": "2024-12-25T10:00:00Z"
        }
      ]
    }
  ]
}
GET
/canvases/{canvasId}/nodes
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.
path
canvasIdstring
Required

Canvas UUID.

Format: uuid
query
location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Path Parameters

Query Parameters

location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Example:
acme-retail

Responses

dataarray